• Documentation
  • API Reference
Information
Core APIs
    ASPSP Information Service
      Get ASPSP ListgetGet ASPSP DetailsgetGet Country ListgetGet Platform Statusget
    Consent Service
      Create ConsentpostGet ConsentgetDelete ConsentdeleteGet Consent StatusgetGet Consent AuthorisationsgetCreate Consent AuthorisationpostGet Consent Authorisation SCA StatusgetStart Consent Authorisationput
    Account Information Service (AIS)
      Get Account ListgetGet Account DetailsgetGet BalancesgetGet Transaction ListgetGet Transaction DetailsgetGet Card Account ListgetGet Card Account DetailsgetGet Card BalancesgetGet Card Transaction Listget
    Payment Initiation Service (PIS)
      Create PaymentpostGet PaymentgetCancel PaymentdeleteGet Payment StatusgetGet Payment AuthorisationsgetCreate Payment AuthorisationpostGet Payment Authorisation SCA StatusgetStart Payment AuthorisationputGet Payment Cancellation AuthorisationsgetCreate Payment Cancellation AuthorisationpostGet Payment Cancellation Authorisation SCA StatusgetStart Payment Cancellation AuthorisationputCreate Signing BasketpostGet Signing BasketgetDelete Signing BasketdeleteGet Signing Basket StatusgetCreate Signing Basket AuthorisationpostGet Signing Basket Authorisation SCA StatusgetStart Signing Basket AuthorisationputCreate FX QuotepostGet FX Quoteget
    KYC Service
      Create KYCpostGet KYC Statusget
Alternative APIs
    ISO Payments
      Create PaymentpostCreate Payment (Cross-Border)postGet PaymentgetConfirm Paymentput
    FX Connect
      Create FX QuotepostGet FX QuotegetConfirm Cross-Border Paymentput
Premium APIs
    Bankgiro Lookup
      Get Creditor NamegetGet Giro Numbersget
    Payout Service
      Create PayoutpostGet PayoutgetConfirm Payoutput
    Verification of Payee (VoP)
      Submit Verification RequestpostSubmit Bulk Verification Requestpost
    SEPA Direct Debit
      Create SEPA Direct Debit Payment (Beta)postGet PaymentgetConfirm Paymentput
Schemas
Open Payments API
Open Payments API

Schemas


obpStatusResponse

The current status of the Open Banking Platform, including incidents and maintenance windows.
pageTitle
​string · required

Title of the status page.

Example: Open Payments Europe
​statusPageIncident[] · required

Incidents currently affecting the platform or its supported banks. Empty if there are none.

​statusPageInProgressMaintenance[] · required

Maintenance windows currently in progress. Empty if there are none.

​statusPageScheduledMaintenance[] · required

Upcoming planned maintenance windows. Empty if there are none.

pageUrl
​string · uri

Public URL of the status page.

statusPageEvent

Fields shared by incidents and maintenance windows.
id
​string · required

Unique ID of the incident or maintenance.

Example: 01H0QJ89CRW5BKTY9N89MSDT5S
name
​string · required

Title of the incident or maintenance.

Example: Login failing for some users
url
​string · uri · required

Link to the incident or maintenance on the status page.

lastUpdatedAt
​string · date-time · required

UTC timestamp of the latest update.

​statusPageComponent[] · required

Components affected by the incident or maintenance.

lastUpdateMessage
​string

Text of the latest update.

statusPageIncident

Fields shared by incidents and maintenance windows.
id
​string · required

Unique ID of the incident or maintenance.

Example: 01H0QJ89CRW5BKTY9N89MSDT5S
name
​string · required

Title of the incident or maintenance.

Example: Login failing for some users
url
​string · uri · required

Link to the incident or maintenance on the status page.

lastUpdatedAt
​string · date-time · required

UTC timestamp of the latest update.

​statusPageComponent[] · required

Components affected by the incident or maintenance.

status
​string · enum · required

Current stage of the incident.

Enum values:
investigating
identified
monitoring
currentWorstImpact
​string · enum · required

The most severe impact currently caused by the incident.

Enum values:
degraded_performance
partial_outage
full_outage
lastUpdateMessage
​string

Text of the latest update.

statusPageInProgressMaintenance

Fields shared by incidents and maintenance windows.
id
​string · required

Unique ID of the incident or maintenance.

Example: 01H0QJ89CRW5BKTY9N89MSDT5S
name
​string · required

Title of the incident or maintenance.

Example: Login failing for some users
url
​string · uri · required

Link to the incident or maintenance on the status page.

lastUpdatedAt
​string · date-time · required

UTC timestamp of the latest update.

​statusPageComponent[] · required

Components affected by the incident or maintenance.

status
​string · enum · required
Enum values:
maintenance_in_progress
startedAt
​string · date-time · required

UTC timestamp when the maintenance started.

scheduledEndAt
​string · date-time · required

UTC timestamp when the maintenance is scheduled to end.

lastUpdateMessage
​string

Text of the latest update.

statusPageScheduledMaintenance

Fields shared by incidents and maintenance windows.
id
​string · required

Unique ID of the incident or maintenance.

Example: 01H0QJ89CRW5BKTY9N89MSDT5S
name
​string · required

Title of the incident or maintenance.

Example: Login failing for some users
url
​string · uri · required

Link to the incident or maintenance on the status page.

lastUpdatedAt
​string · date-time · required

UTC timestamp of the latest update.

​statusPageComponent[] · required

Components affected by the incident or maintenance.

status
​string · enum · required
Enum values:
maintenance_scheduled
startsAt
​string · date-time · required

UTC timestamp when the maintenance is scheduled to start.

endsAt
​string · date-time · required

UTC timestamp when the maintenance is scheduled to end.

lastUpdateMessage
​string

Text of the latest update.

statusPageComponent

A platform component, such as a service or bank integration.
id
​string · required

Unique ID of the component.

Example: 01H0QJ1BXP0E76RGBYRDHKA2KQ
name
​string · required

Name of the component.

Example: Payment Initiation
currentStatus
​string · enum · required

Current status of the component.

Enum values:
operational
degraded_performance
partial_outage
full_outage
groupName
​string

Name of the group the component belongs to, if any.

Example: 🇸🇪 Bank Coverage (SE)

sepaDirectDebitWithStatusResponse

JSON response body consisting of the original SEPA Direct Debit request body together with a transaction status field.
requestedExecutionDate
​string · date · required

Date when payment is scheduled to be collected in ISO-Date Format, e.g. 2020-10-30.

creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
​address · required
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorId
​string · pattern: ^[A-Z]{2}\d{2}[A-Z0-… · required

A unique identifier assigned to the creditor authorising them to initiate SEPA Direct Debit collections.

Example: NL93ZZZ123456780001
localInstrumentCode
​string · enum · required

Local instrument code. See Statuses & Types documentation for full descriptions of values.

Enum values:
CORE
B2B
sequenceType
​directDebitSequenceType · enum · required

Sequence type for SEPA Direct Debit collections. See Statuses & Types documentation for full descriptions of values.

Enum values:
OOFF
FRST
RCUR
FNAL
​amount · required
​directDebitMandateRelatedInformation · required

Mandate information that authorises the SEPA Direct Debit.

debtorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

BICFI

Example: AAAADEBBXXX
debtorName
​debtorName · maxLength: 70 · required

Debtor Name

Example: Debtor Name
​address · required
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
transactionStatus
​transactionStatus · enum · required

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD
Example: ACSP
instructionId
​string · maxLength: 35

Instruction Id – identification for end-to-end processing.

creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35

Creditor Agent Name

Example: Creditor Agent Name
chargeBearer
​chargeBearer · enum

Charge Bearer. ChargeBearerType1Code from ISO20022

Enum values:
DEBT
CRED
SHAR
SLEV
ultimateCreditorName
​ultimateCreditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Ultimate Creditor Name

Example: Creditor Name
​address
debtorAgentName
​debtorAgentName · maxLength: 35

Debtor Agent Name

Example: Debtor Agent Name
ultimateDebtorName
​ultimateDebtorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Ultimate Debtor Name

Example: Debtor Name
​address
purposeCode
​purposeCode · enum

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD
remittanceInformationUnstructuredArray
​remittanceInformationUnstructured[]

Array of unstructured remittance information

Example: ["Ref Number Merchant","Some Other Text"]
​directDebitStructuredRemittanceInformation[]

Array of structured remittance information elements.

​directDebitRegulatoryReportingData[] · maxItems: 10

Up to 10 regulatory reporting items.

​tppMessage2XX[]

vopParty

The registered name for the account.
name
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name

vopPartyAccount

The IBAN of the account.
iban
​iban · pattern: [A-Z]{2,2}[0-9]{2,2}… · required

International Bank Account Number (IBAN) of an account.

Example: FR7612345987650123456789014

vopPartyAgent

bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX

verificationOfPayee_json

Request Body for a Verification of Payee via JSON.
​vopParty · required

The registered name for the account.

​vopPartyAccount · required

The IBAN of the account.

partyAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX

bulkVerificationOfPayee_json

Request Body for a Bulk Verification of Payee via JSON.
​object[] · required

verificationOfPayeeResponse

Body of the JSON response for a successful VoP request.
partyNameMatch
​string · enum · required

The match result of the VoP request in a 4-letter code. See Statuses & Types documentation for full descriptions of values.

Enum values:
MTCH
CMTC
NMTC
NOAP
matchedName
​string

The actual name found for the account. This is returned in case of a slight mismatch with the name provided in the request.

​tppMessage200_VoP[]

bulkVerificationOfPayeeResponse

Body of the JSON response for a successful bulk VoP request.
​bulkVerificationOfPayeeResponseItem[] · required

bulkVerificationOfPayeeResponseItem

Body of the JSON response for a successful VoP request.
uetr
​string · uuid · required

Unique reference identifying the party verification request.

partyNameMatch
​string · enum · required

The match result of the VoP request in a 4-letter code. See Statuses & Types documentation for full descriptions of values.

Enum values:
MTCH
CMTC
NMTC
NOAP
matchedName
​string

The actual name found for the account. This is returned in case of a slight mismatch with the name provided in the request.

​tppMessage200_VoP[]

tppMessage200_VoP

category
​tppMessageCategory · enum · required

Category of the TPP message category

Enum values:
INFORMATION
UNMAPPED
ERROR
WARNING
code
​MessageCode200_VoP · enum · required

Message codes defined for Verification of Payee when the result is not a perfect match.

Enum values:
CREDITOR_NAME_MISMATCH
CREDITOR_NAME_CLOSE_MATCH
CREDITOR_NAME_UNVERIFIED
text
​tppMessageText · maxLength: 512

Additional explaining text to the TPP.

MessageCode200_VoP

string · enum
Enum values:
CREDITOR_NAME_MISMATCH
CREDITOR_NAME_CLOSE_MATCH
CREDITOR_NAME_UNVERIFIED

Message codes defined for Verification of Payee when the result is not a perfect match.

confirmCrossBorderPaymentIntentResponse

The payment instructions for a payment to be made to Open Payments client funds account.
​accountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Creditor Name

Example: Creditor Name
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
​accountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​amount
creditorAddress
​countryCode · pattern: [A-Z]{2}

ISO 3166 ALPHA2 country code

Example: SE
remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

lastTransactionEnrichmentDateTime

string · date-time

The local date time of the latest ISO transaction enrichment, if enabled.

Example: 2025-01-21T17:32:28+00:00

lastTransactionEnrichmentDateTimeUtc

string · date-time

The UTC date time of the latest ISO transaction enrichment, if enabled.

Example: 2025-01-21T17:32:28Z

lastBalanceEnrichmentDateTime

string · date-time

The local date time of the latest ISO balance enrichment, if enabled.

Example: 2025-01-21T17:32:28+00:00

lastBalanceEnrichmentDateTimeUtc

string · date-time

The UTC date time of the latest ISO balance enrichment, if enabled.

Example: 2025-01-21T17:32:28Z

ConfirmIsoPaymentRequest

paymentIds
​array | null · required
batchBookingPreferred
​boolean
Default: false

ConfirmIsoPaymentResponse

Response containing information on the payment file uploaded to the bank.
​array | null
reference
​string | null
​amount

ConfirmPayoutRequest

payoutIds
​array | null

ConfirmPayoutResponse

​array | null
reference
​string | null
​amount

CreatePayoutRequest

​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​giroReference · required

Reference to a Swedish Bankgiro or Plusgiro account

creditorName
​string · minLength: 1 · maxLength: 70 · required
​amount · required
instructionId
​string | null · maxLength: 35
creditorAgent
​string | null · maxLength: 35
requestedExecutionDate
​string | null
debtorAccountMessage
​string | null
creditorAccountMessage
​string | null
invoiceRef
​string | null
ocrRef
​string | null
endToEndIdentification
​string | null · maxLength: 35

CreatePayoutResponse

transactionStatus
​transactionStatus · enum · required

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD
Example: ACSP
​PayoutLinks · required
​array | null
​amount
transactionFeeIndicator
​boolean | null
​array | null
​authenticationObject

Authentication Object

​challengeData

Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.

psuMessage
​string | null · maxLength: 512
payoutId
​string | null · readOnly

ErrorResponseDetails

​array | null

GetGiroNumbersResponse

​array | null
​array | null

giroWithName

Reference to a Swedish Bankgiro or Plusgiro account
giroNumber
​giroNumber · pattern: [0-9-]{5,35} · required

Swedish Bankgiro or Plusgiro number

Example: 1234-5678
giroType
​giroType · enum · required

Swedish giro type

Enum values:
BANKGIRO
PLUSGIRO
name
​displayName · maxLength: 70 · required

Name of the account as defined by the PSU within online channels.

GetCreditorNameResponse

creditorName
​string | null
​array | null

GetPayoutResponse

​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​string · minLength: 1 · maxLength: 70 · required
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​amount · required
​array | null
endToEndIdentification
​string | null · maxLength: 35
creditorAgent
​string | null · pattern: [A-Z]{6,6}[A-Z2-9][A…
​address
remittanceInformationUnstructured
​string | null · maxLength: 140
​remittanceInformationStructured

Structured remittance information

debtorAccountMessage
​string | null
creditorAccountMessage
​string | null
requestedExecutionDate
​string | null
transactionStatus
​transactionStatus · enum

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD
Example: ACSP

PayoutLinks

​hrefType

Link to a resource

​hrefType

Link to a resource

ProblemDetails

type
​string | null
title
​string | null
status
​integer | null · int32
detail
​string | null
instance
​string | null
No data returned

kycStatus

string · enum
Enum values:
Valid
Invalid
Example: Invalid

getKycStatusResponse

psuCorporateId
​string
kycStatus
​kycStatus · enum
Enum values:
Valid
Invalid
Example: Invalid
kycValidUntil
​string | null

StartNewKycInstanceResponse

kycUrl
​kycUrl · required

kycUrl

string
Example: https://kyc.openbankingplatform.com/?instanceId=008b3d7e-ae80-4577-8ed9-36a2b2b0fa6d

clearingNumber

string · pattern: [0-9]{1,5}

Bank account clearing number. Used to identify the financial institution within a domestic payment system.

Example: 5392

accountNumber

string · pattern: [a-zA-Z0-9]{1,30}

Bank account number. Used to identify the particular customer account within the financial institution.

Example: BARC12345612345678

paymentId

string

ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.

Example: 1234-wertiq-983

paymentIdList

​paymentId[] · minItems: 1

A list of paymentIds.

basketId

string

ID of the generated signing basket resource.

Example: c7197f20-4224-4c8c-b0fb-b3942105443b

authorisationId

string

Resource identification of the related SCA

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

authenticationMethodId

string · maxLength: 35

An identification provided by the ASPSP for the later identification of the authentication method selection.

Example: myAuthenticationID

accountId

string

This identification is denoting the addressed account, where the transaction has been performed.

Example: qwer3456tzui7890

consentId

string

ID of the corresponding consent object as returned by an Account Information Consent Request.

consentIdList

​consentId[] · minItems: 1

A list of consentIds

transactionId

string

This identification is given by the attribute transactionId of the corresponding entry of a transaction list.

Example: 3dc3d5b3-7023-4848-9853-f5400a64e80f

cancellationId

string

Identification for cancellation resource

Example: b391be2a-5fa0-4da5-afa7-6778d7ca2dc0

cardTransactionId

string · maxLength: 35

Unique end to end identity.

terminalId

string · maxLength: 35

Identification of the Terminal, where the card has been used.

entryReference

string · maxLength: 35

ID of the transaction as used e.g. for reference for deltafunction on application level.

transactionStatus

string · enum
Enum values:
ACCC
ACCP
ACSC
ACSP
ACTC
ACWC
ACWP
RCVD

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Example: ACSP

transactionStatus_SBS

string · enum
Enum values:
ACTC
PATC
RCVD
RJCT
CANC

Uses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.

Example: RCVD

scaStatus

string · enum
Enum values:
received
psuIdentified
psuAuthenticated
scaMethodSelected
started
finalised
failed
exempted

Contains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.

Example: psuAuthenticated

scaAuthenticationData

string

SCA authentication data, depending on the chosen authentication method. If the data is binary, then it is base64 encoded.

consentStatus

string · enum
Enum values:
received
rejected
valid
revokedByPsu
expired
terminatedByTpp
partiallyAuthorised

Overall lifecycle status of the consent. See Statuses & Types documentation for full descriptions of values.

transactionFee

​amount
ChargeBearer
​chargeBearer · enum

Charge Bearer. ChargeBearerType1Code from ISO20022

Enum values:
DEBT
CRED
SHAR
SLEV

transactionFees

​transactionFee[]

Array of transaction fees

transactionFee
​amount
ChargeBearer
​chargeBearer · enum

Charge Bearer. ChargeBearerType1Code from ISO20022

Enum values:
DEBT
CRED
SHAR
SLEV

transactionFeeIndicator

boolean

If "true", the transaction will involve specific transaction costs as shown by the ASPSP in their public price list or as agreed between the ASPSP and PSU. If "false", the transaction will not involve additional specific transaction costs to the PSU.

recurringIndicator

boolean

If "true", the consent is for recurring access to the account data. If "false", the consent is for one-off access to the account data.

Example: false

combinedServiceIndicator

boolean

If "true", indicates that a payment initiation service will be addressed in the same "session".

Example: false

batchBookingPreferred

boolean

If "true", the PSU prefers only one booking entry. If "false", the PSU prefers individual booking of all included individual transactions. The ASPSP will follow this preference according to contracts agreed with the PSU.

Example: false

scaMethods

​authenticationObject[]

Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.

Authentication Object
authenticationObject
authenticationType
​authenticationType · enum · required

Type of the authentication method. See Statuses & Types for full descriptions of values.

Enum values:
SMS_OTP
CHIP_OTP
PHOTO_OTP
PUSH_OTP
authenticationMethodId
​authenticationMethodId · maxLength: 35 · required

An identification provided by the ASPSP for the later identification of the authentication method selection.

Example: myAuthenticationID
authenticationVersion
​string

Specifies the version of the authentication method. Useful when multiple tools exist under the same method type.

name
​string

A user-defined or bank-provided label for the authentication method (e.g. "SMS OTP on phone +49160 xxxxx 28"). This should be shown to the user when offering authentication method choices.

Example: SMS OTP on phone +49160 xxxxx 28
explanation
​string

Detailed information about the SCA method for the PSU.

Example: Detailed information about the SCA method for the PSU.

chosenScaMethod

Authentication Object
authenticationType
​authenticationType · enum · required

Type of the authentication method. See Statuses & Types for full descriptions of values.

Enum values:
SMS_OTP
CHIP_OTP
PHOTO_OTP
PUSH_OTP
authenticationMethodId
​authenticationMethodId · maxLength: 35 · required

An identification provided by the ASPSP for the later identification of the authentication method selection.

Example: myAuthenticationID
authenticationVersion
​string

Specifies the version of the authentication method. Useful when multiple tools exist under the same method type.

name
​string

A user-defined or bank-provided label for the authentication method (e.g. "SMS OTP on phone +49160 xxxxx 28"). This should be shown to the user when offering authentication method choices.

Example: SMS OTP on phone +49160 xxxxx 28
explanation
​string

Detailed information about the SCA method for the PSU.

Example: Detailed information about the SCA method for the PSU.

authenticationType

string · enum
Enum values:
SMS_OTP
CHIP_OTP
PHOTO_OTP
PUSH_OTP

Type of the authentication method. See Statuses & Types for full descriptions of values.

authenticationObject

Authentication Object
authenticationType
​authenticationType · enum · required

Type of the authentication method. See Statuses & Types for full descriptions of values.

Enum values:
SMS_OTP
CHIP_OTP
PHOTO_OTP
PUSH_OTP
authenticationMethodId
​authenticationMethodId · maxLength: 35 · required

An identification provided by the ASPSP for the later identification of the authentication method selection.

Example: myAuthenticationID
authenticationVersion
​string

Specifies the version of the authentication method. Useful when multiple tools exist under the same method type.

name
​string

A user-defined or bank-provided label for the authentication method (e.g. "SMS OTP on phone +49160 xxxxx 28"). This should be shown to the user when offering authentication method choices.

Example: SMS OTP on phone +49160 xxxxx 28
explanation
​string

Detailed information about the SCA method for the PSU.

Example: Detailed information about the SCA method for the PSU.

signingBasket

JSON Body of a establish signing basket request. The body shall contain at least one entry.
paymentIds
​paymentId[] · minItems: 1

A list of paymentIds.

challengeData

Contained in addition to the data element `chosenScaMethod` if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the `startAuthorisationWithPsuAuthentication` link.
image
​string

PNG data (max. 512 kilobyte) to be displayed to the PSU, Base64 encoding, cp. [RFC4648]. This attribute is used only, when PHOTO_OTP or CHIP_OTP is the selected SCA method.

data
​string[]

Challenge data

imageLink
​string · url

A link where the ASPSP will provides the challenge image for the TPP.

otpMaxLength
​integer

The maximal length for the OTP to be typed in by the PSU.

otpFormat
​string · enum

The format type of the OTP to be typed in. The admitted values are "characters" or "integer".

Enum values:
characters
integer
additionalInformation
​string

Additional explanation for the PSU to explain e.g. fallback mechanism for the chosen SCA method. The TPP is obliged to show this to the PSU.

hrefType

Link to a resource
href
​hrefEntry

Link to a resource

Example: /v1/payments/sepa-credit-transfers/1234-wertiq-983

hrefEntry

string

Link to a resource

Example: /v1/payments/sepa-credit-transfers/1234-wertiq-983

authorisationsList

​authorisationId[]

An array of all authorisationIds

authorisations

An array of all authorisationIds
authorisationIds
​authorisationId[] · required

An array of all authorisationIds

​tppMessage2XX[]

accountReference

Reference to an account by either * IBAN, of a payment account, or * BBAN, for payment accounts if there is no IBAN, or * the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or * the Primary Account Number (PAN) of a card in a masked form, or * an alias to access a payment account via a registered mobile phone number (MSISDN).
iban
​iban · pattern: [A-Z]{2,2}[0-9]{2,2}…

International Bank Account Number (IBAN) of an account.

Example: FR7612345987650123456789014
bban
​bban · pattern: [a-zA-Z0-9]{1,30}

Basic Bank Account Number (BBAN) Identifier. Used nationally by financial institutions, i.e., in individual countries, generally as part of a National Account Numbering Scheme(s), which uniquely identifies the account of a customer.

Example: BARC12345612345678
clearingNumber
​clearingNumber · pattern: [0-9]{1,5}

Bank account clearing number. Used to identify the financial institution within a domestic payment system.

Example: 5392
accountNumber
​accountNumber · pattern: [a-zA-Z0-9]{1,30}

Bank account number. Used to identify the particular customer account within the financial institution.

Example: BARC12345612345678
pan
​pan · maxLength: 35

Primary Account Number according to ISO/IEC 7812.

Example: 5409050000000000
maskedPan
​maskedPan · maxLength: 35

Masked Primary Account Number.

Example: 123456xxxxxx1234
msisdn
​msisdn · maxLength: 35

Mobile phone number.

Example: +49 170 1234567
currency
​currencyCode · pattern: [A-Z]{3}

ISO 4217 Alpha 3 currency code.

Example: EUR

accountReferenceWithGiro

Reference to an account by either * IBAN, of a payment account, or * BBAN, for payment accounts if there is no IBAN, or, * Bankgiro/Plusgiro for corporate Swedish accounts, or * the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or * the Primary Account Number (PAN) of a card in a masked form, or * an alias to access a payment account via a registered mobile phone number (MSISDN).
iban
​iban · pattern: [A-Z]{2,2}[0-9]{2,2}…

International Bank Account Number (IBAN) of an account.

Example: FR7612345987650123456789014
bban
​bban · pattern: [a-zA-Z0-9]{1,30}

Basic Bank Account Number (BBAN) Identifier. Used nationally by financial institutions, i.e., in individual countries, generally as part of a National Account Numbering Scheme(s), which uniquely identifies the account of a customer.

Example: BARC12345612345678
clearingNumber
​clearingNumber · pattern: [0-9]{1,5}

Bank account clearing number. Used to identify the financial institution within a domestic payment system.

Example: 5392
accountNumber
​accountNumber · pattern: [a-zA-Z0-9]{1,30}

Bank account number. Used to identify the particular customer account within the financial institution.

Example: BARC12345612345678
pan
​pan · maxLength: 35

Primary Account Number according to ISO/IEC 7812.

Example: 5409050000000000
maskedPan
​maskedPan · maxLength: 35

Masked Primary Account Number.

Example: 123456xxxxxx1234
msisdn
​msisdn · maxLength: 35

Mobile phone number.

Example: +49 170 1234567
bankgiroNumber
​bankGiroNumber · pattern: [0-9-]{5,35}

Swedish Bankgiro number

Example: 1234-5678
plusgiroNumber
​plusGiroNumber · pattern: [0-9-]{5,35}

Swedish Plusgiro number

Example: 948294-5
currency
​currencyCode · pattern: [A-Z]{3}

ISO 4217 Alpha 3 currency code.

Example: EUR

trnsCreditorAccountReference

Reference to an account by either * IBAN, of a payment account, or * BBAN, for payment accounts if there is no IBAN, or * the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or * the Primary Account Number (PAN) of a card in a masked form, or * an alias to access a payment account via a registered mobile phone number (MSISDN), or * Swedish Bankgiro number, or * Swedish Plusgiro number.
iban
​iban · pattern: [A-Z]{2,2}[0-9]{2,2}…

International Bank Account Number (IBAN) of an account.

Example: FR7612345987650123456789014
bban
​bban · pattern: [a-zA-Z0-9]{1,30}

Basic Bank Account Number (BBAN) Identifier. Used nationally by financial institutions, i.e., in individual countries, generally as part of a National Account Numbering Scheme(s), which uniquely identifies the account of a customer.

Example: BARC12345612345678
pan
​pan · maxLength: 35

Primary Account Number according to ISO/IEC 7812.

Example: 5409050000000000
maskedPan
​maskedPan · maxLength: 35

Masked Primary Account Number.

Example: 123456xxxxxx1234
msisdn
​msisdn · maxLength: 35

Mobile phone number.

Example: +49 170 1234567
currency
​currencyCode · pattern: [A-Z]{3}

ISO 4217 Alpha 3 currency code.

Example: EUR
bankGiro
​bankGiroNumber · pattern: [0-9-]{5,35}

Swedish Bankgiro number

Example: 1234-5678
plusGiro
​plusGiroNumber · pattern: [0-9-]{5,35}

Swedish Plusgiro number

Example: 948294-5

giroReference

Reference to a Swedish Bankgiro or Plusgiro account
giroNumber
​giroNumber · pattern: [0-9-]{5,35} · required

Swedish Bankgiro or Plusgiro number

Example: 1234-5678
giroType
​giroType · enum · required

Swedish giro type

Enum values:
BANKGIRO
PLUSGIRO

giroInvoiceReference

string · minLength: 1 · maxLength: 25

Custom invoice reference

Example: INV-20250073

sepaInvoiceReference

string · minLength: 1 · maxLength: 35

Custom invoice reference

Example: 86851625960015

giroOcrReference

string · minLength: 2 · maxLength: 25 · pattern: ^[0-9]+$

Swedish OCR reference.

Example: 45678901234567

sepaOcrReference

string · minLength: 5 · maxLength: 25 · pattern: RF[0-9]{2}[A-Z0-9]+$

RF creditor reference.

Example: RF18539007547034

balanceType

string · enum
Enum values:
closingBooked
expected
authorised
openingBooked
interimAvailable
interimBooked
forwardAvailable
nonInvoiced

The type of balance represented. See Statuses & Types documentation for full descriptions of values.

accountAccess

Requested access services for a consent.
​accountReference[]

Asks for detailed account information. If the array is empty, the TPP asks for an accessible account list, and the arrays for balances and transactions will also be empty.

​accountReference[]

Asks for balances of the addressed accounts. If the array is empty, the TPP asks for the balances of all accessible accounts, and the arrays for accounts and transactions will also be empty.

​accountReference[]

Asks for transactions on the addressed accounts. If the array is empty, the TPP asks for the transactions of all accessible accounts and the arrays for accounts and balances will also be empty.

availableAccounts
​string · enum

Optional if supported by API provider. Only the values "allAccounts", "allAccountsWithBalances" or "selectAccounts" are allowed.

Enum values:
allAccounts
allAccountsWithBalances
selectAccounts
allPsd2
​string · enum

Optional if supported by API provider. Only the value "allAccounts" is allowed.

Enum values:
allAccounts

cashAccountType

string

ExternalCashAccountType1Code from ISO 20022.

accountStatus

string · enum
Enum values:
enabled
deleted
blocked

Account status. The value is one of the following:

  • "enabled": account is available
  • "deleted": account is terminated
  • "blocked": account is blocked e.g. for legal reasons If this field is not used, than the account is available in the sense of this specification.

accountDetails

The ASPSP shall give at least one of the account reference identifiers: - iban - bban - pan - maskedPan - msisdn If the account is a multicurrency account currency code in "currency" is set to "XXX".
currency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
resourceId
​string

This shall be filled, if addressable resource are created by the ASPSP on the /accounts or /card-accounts endpoint.

iban
​iban · pattern: [A-Z]{2,2}[0-9]{2,2}…

International Bank Account Number (IBAN) of an account.

Example: FR7612345987650123456789014
bban
​bban · pattern: [a-zA-Z0-9]{1,30}

Basic Bank Account Number (BBAN) Identifier. Used nationally by financial institutions, i.e., in individual countries, generally as part of a National Account Numbering Scheme(s), which uniquely identifies the account of a customer.

Example: BARC12345612345678
clearingNumber
​clearingNumber · pattern: [0-9]{1,5}

Bank account clearing number. Used to identify the financial institution within a domestic payment system.

Example: 5392
accountNumber
​accountNumber · pattern: [a-zA-Z0-9]{1,30}

Bank account number. Used to identify the particular customer account within the financial institution.

Example: BARC12345612345678
msisdn
​msisdn · maxLength: 35

Mobile phone number.

Example: +49 170 1234567
bankgiroNumber
​bankGiroNumber · pattern: [0-9-]{5,35}

Swedish Bankgiro number

Example: 1234-5678
plusgiroNumber
​plusGiroNumber · pattern: [0-9-]{5,35}

Swedish Plusgiro number

Example: 948294-5
name
​string · maxLength: 35

Name of the account given by the bank or the PSU in online-banking.

product
​string · maxLength: 35

Product name of the bank for this account, proprietary definition.

cashAccountType
​cashAccountType

ExternalCashAccountType1Code from ISO 20022.

status
​accountStatus · enum

Account status. The value is one of the following:

  • "enabled": account is available
  • "deleted": account is terminated
  • "blocked": account is blocked e.g. for legal reasons If this field is not used, than the account is available in the sense of this specification.
Enum values:
enabled
deleted
blocked
bic
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
linkedAccounts
​string · maxLength: 70

Case of a set of pending card transactions, the APSP will provide the relevant cash account the card is set up on.

usage
​string · enum · maxLength: 4

Specifies the usage of the account:

  • PRIV: private personal account.
  • ORGA: professional account.
Enum values:
PRIV
ORGA
details
​string · maxLength: 140

Specifications that might be provided by the ASPSP:

  • characteristics of the account.
  • characteristics of the relevant card.
​creditLimit

Amount of credit extended to account.

Example: {"currency":"EUR","amount":"123"}
​balance[]

A list of balances for the account. This list might be restricted to the current balance.

​_linksAccountDetails

Links to the account, which can be directly used for retrieving account information from this dedicated account.

Links to "balances" and/or "transactions"

These links are only supported, when the corresponding consent has been already granted.

ownerName
​string · maxLength: 140

Name of the legal account owner. If there is more than one owner, then multiple names might be noted here. For a corporate account, the corporate name is used for this attribute. Even if supported by the ASPSP, the provision of this field might depend on the fact whether an explicit consent to this specific additional account information has been given by the PSU.

Example: John Doe
lastTransactionEnrichmentDateTime
​lastTransactionEnrichmentDateTime · date-time

The local date time of the latest ISO transaction enrichment, if enabled.

Example: 2025-01-21T17:32:28+00:00
lastTransactionEnrichmentDateTimeUtc
​lastTransactionEnrichmentDateTimeUtc · date-time

The UTC date time of the latest ISO transaction enrichment, if enabled.

Example: 2025-01-21T17:32:28Z
lastBalanceEnrichmentDateTime
​lastBalanceEnrichmentDateTime · date-time

The local date time of the latest ISO balance enrichment, if enabled.

Example: 2025-01-21T17:32:28+00:00
lastBalanceEnrichmentDateTimeUtc
​lastBalanceEnrichmentDateTimeUtc · date-time

The UTC date time of the latest ISO balance enrichment, if enabled.

Example: 2025-01-21T17:32:28Z

accountDetailsWithTppMessages

The ASPSP shall give at least one of the account reference identifiers: - iban - bban - pan - maskedPan - msisdn If the account is a multicurrency account currency code in "currency" is set to "XXX".
currency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
resourceId
​string

This shall be filled, if addressable resource are created by the ASPSP on the /accounts or /card-accounts endpoint.

iban
​iban · pattern: [A-Z]{2,2}[0-9]{2,2}…

International Bank Account Number (IBAN) of an account.

Example: FR7612345987650123456789014
bban
​bban · pattern: [a-zA-Z0-9]{1,30}

Basic Bank Account Number (BBAN) Identifier. Used nationally by financial institutions, i.e., in individual countries, generally as part of a National Account Numbering Scheme(s), which uniquely identifies the account of a customer.

Example: BARC12345612345678
clearingNumber
​clearingNumber · pattern: [0-9]{1,5}

Bank account clearing number. Used to identify the financial institution within a domestic payment system.

Example: 5392
accountNumber
​accountNumber · pattern: [a-zA-Z0-9]{1,30}

Bank account number. Used to identify the particular customer account within the financial institution.

Example: BARC12345612345678
msisdn
​msisdn · maxLength: 35

Mobile phone number.

Example: +49 170 1234567
bankgiroNumber
​bankGiroNumber · pattern: [0-9-]{5,35}

Swedish Bankgiro number

Example: 1234-5678
plusgiroNumber
​plusGiroNumber · pattern: [0-9-]{5,35}

Swedish Plusgiro number

Example: 948294-5
name
​string · maxLength: 35

Name of the account given by the bank or the PSU in online-banking.

product
​string · maxLength: 35

Product name of the bank for this account, proprietary definition.

cashAccountType
​cashAccountType

ExternalCashAccountType1Code from ISO 20022.

status
​accountStatus · enum

Account status. The value is one of the following:

  • "enabled": account is available
  • "deleted": account is terminated
  • "blocked": account is blocked e.g. for legal reasons If this field is not used, than the account is available in the sense of this specification.
Enum values:
enabled
deleted
blocked
bic
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
linkedAccounts
​string · maxLength: 70

Case of a set of pending card transactions, the APSP will provide the relevant cash account the card is set up on.

usage
​string · enum · maxLength: 4

Specifies the usage of the account

  • PRIV: private personal account
  • ORGA: professional account
Enum values:
PRIV
ORGA
details
​string · maxLength: 140

Specifications that might be provided by the ASPSP

  • characteristics of the account
  • characteristics of the relevant card
​creditLimit

Amount of credit extended to account.

Example: {"currency":"EUR","amount":"123"}
​balance[]

A list of balances for the account. This list might be restricted to the current balance.

​_linksAccountDetails

Links to the account, which can be directly used for retrieving account information from this dedicated account.

Links to "balances" and/or "transactions"

These links are only supported, when the corresponding consent has been already granted.

ownerName
​string · maxLength: 140

Name of the legal account owner. If there is more than one owner, then e.g. two names might be noted here.

For a corporate account, the corporate name is used for this attribute. Even if supported by the ASPSP, the provision of this field might depend on the fact whether an explicit consent to this specific additional account information has been given by the PSU.

Example: John Doe
lastTransactionEnrichmentDateTime
​lastTransactionEnrichmentDateTime · date-time

The local date time of the latest ISO transaction enrichment, if enabled.

Example: 2025-01-21T17:32:28+00:00
lastTransactionEnrichmentDateTimeUtc
​lastTransactionEnrichmentDateTimeUtc · date-time

The UTC date time of the latest ISO transaction enrichment, if enabled.

Example: 2025-01-21T17:32:28Z
lastBalanceEnrichmentDateTime
​lastBalanceEnrichmentDateTime · date-time

The local date time of the latest ISO balance enrichment, if enabled.

Example: 2025-01-21T17:32:28+00:00
lastBalanceEnrichmentDateTimeUtc
​lastBalanceEnrichmentDateTimeUtc · date-time

The UTC date time of the latest ISO balance enrichment, if enabled.

Example: 2025-01-21T17:32:28Z
​tppMessage2XX[]

cardAccountDetails

Card account details.
maskedPan
​maskedPan · maxLength: 35 · required

Masked Primary Account Number.

Example: 123456xxxxxx1234
currency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
resourceId
​string

This is the data element to be used in the path when retrieving data from a dedicated account. This shall be filled, if addressable resource are created by the ASPSP on the /card-accounts endpoint.

ownerName
​ownerName · maxLength: 140

Name of the legal account owner. If there is more than one owner, then e.g. two names might be noted here.

For a corporate account, the corporate name is used for this attribute. Even if supported by the ASPSP, the provision of this field might depend on the fact whether an explicit consent to this specific additional account information has been given by the PSU.

Example: John Doe
name
​string · maxLength: 70

Name of the account, as assigned by the ASPSP, in agreement with the account owner in order to provide an additional means of identification of the account.

displayName
​displayName · maxLength: 70

Name of the account as defined by the PSU within online channels.

product
​string · maxLength: 35

Product Name of the Bank for this account, proprietary definition.

debitAccounting
​debitAccounting

If true, the amounts of debits on the reports are quoted positive with the related consequence for balances. If false, the amount of debits on the reports are quoted negative.

status
​accountStatus · enum

Account status. The value is one of the following:

  • "enabled": account is available
  • "deleted": account is terminated
  • "blocked": account is blocked e.g. for legal reasons If this field is not used, than the account is available in the sense of this specification.
Enum values:
enabled
deleted
blocked
usage
​string · enum · maxLength: 4

Specifies the usage of the account:

  • PRIV: private personal account
  • ORGA: professional account
Enum values:
PRIV
ORGA
details
​string · maxLength: 1000

Specifications that might be provided by the ASPSP:

  • characteristics of the account
  • characteristics of the relevant card
​amount
​balance[]

A list of balances for the account. This list might be restricted to the current balance.

​_linksAccountDetails

Links to the account, which can be directly used for retrieving account information from this dedicated account.

Links to "balances" and/or "transactions"

These links are only supported, when the corresponding consent has been already granted.

accountList

List of accounts with details.
​accountDetails[] · required
​_linksAccountReport
​tppMessage2XX[]

cardAccountList

List of card accounts with details.
​cardAccountDetails[] · required

accountReport

JSON based account report. This account report contains transactions resulting from the query parameters. 'booked' shall be contained if bookingStatus parameter is set to "booked" or "both". 'pending' is not contained if the bookingStatus parameter is set to "booked".
​_linksAccountReport · required
​transactionDetails[]

Array of transaction details

​transactionDetails[]

Array of transaction details

​transactionDetails[]

Array of transaction details

cardAccountReport

JSON based card account report. This card account report contains transactions resulting from the query parameters.
​cardTransaction[] · required

Array of transaction details

​_linksCardAccountReport · required
​cardTransaction[]

Array of transaction details

transactionList

​transactionDetails[]

Array of transaction details

Transaction details
transactionDetails
​amount · required
transactionId
​string

the Transaction Id can be used as access-ID in the API, where more details on an transaction is offered. If this data attribute is provided this shows that the AIS can get access on more details about this transaction using the GET Transaction Details Request

entryReference
​string · maxLength: 35

Is the identification of the transaction as used e.g. for reference for deltafunction on application level. The same identification as for example used within camt.05x messages.

endToEndId
​string · maxLength: 35

ID for the transaction provided by the initiator, and passed unchanged from debtor to creditor.

mandateId
​string · maxLength: 35

ID of the mandate given by the debtor to the creditor. Relevant for e.g. SEPA Identification of Mandates.

checkId
​string · maxLength: 35

Identification of a Cheque.

creditorId
​string · maxLength: 35

Identification of Creditors, e.g. a SEPA Creditor ID.

bookingDate
​bookingDate · date

The Date when an entry is posted to an account on the ASPSPs books.

valueDate
​string · date

Date at which an entry is posted to an account on the ASPSP's books.

​balanceAfterTransaction

The account balance at the time after the transaction is made. Only available for transactions in booked state.

​reportExchangeRate[]

Array of exchange rates

creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Creditor Name

Example: Creditor Name
​trnsCreditorAccountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN), or
  • Swedish Bankgiro number, or
  • Swedish Plusgiro number.
ultimateCreditor
​ultimateCreditor · maxLength: 70

Ultimate Creditor

Example: Ultimate Creditor
debtorName
​debtorName · maxLength: 70

Debtor Name

Example: Debtor Name
​accountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
ultimateDebtor
​ultimateDebtor · maxLength: 70

Ultimate Debtor

Example: Ultimate Debtor
remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
remittanceInformationStructured
​string · maxLength: 140

Reference as contained in the structured remittance reference structure (without the surrounding XML structure).

Different from other places where the content is in plain form and not in form of a structured field.

remittanceInformationUnstructuredArray
​remittanceInformationUnstructured[]

Array of unstructured remittance information

Example: ["Ref Number Merchant","Some Other Text"]
​remittanceInformationStructuredArray

Array of structured remittance information

additionalInformation
​string · maxLength: 512

Might be used by the ASPSP to transport additional transaction related information to the PSU.

purposeCode
​purposeCode · enum

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD
bankTransactionCode
​bankTransactionCode

Bank transaction code as used by the ASPSP, concatenating the three ISO 20022 Codes (Domain Code, Family Code, SubFamily Code).

Example: PMNT-RCDT-ESCT
proprietaryBankTransactionCode
​proprietaryBankTransactionCode · maxLength: 35

Proprietary bank transaction code as used within a community or within an ASPSP e.g. for MT94x based transaction reports.

transactionListId
​transactionListId

Generated from the transaction details per transaction, meaning that duplicates may occur for identical transactions on the same day with the same account balance at the transaction time. Only available fore transactions in booked state.

paymentId
​transactionPaymentId

Only available for transactions generated via the Open Banking Platform.

Resource identification of the generated payment initiation resource.

aggregateTransactionId
​string

The transaction ID of the aggregated transaction.

aggregateTransactionListId
​string

The transaction list ID of the aggregated transaction.

aggregateId
​integer

Serial number for the Bankgiro deposit.

aggregateAmount
​string

The aggregated amount of all transactions in the deposit.

aggregateRemittanceInformationUnstructured
​string

The unstructured remittance information of the aggregated transaction.

​address
debtorOrganisationId
​string

Organisation number of the debtor.

isAliasPayin
​boolean

Is set if the transaction represents an individual incoming payment derived from an aggregated transaction.

isAliasPayout
​boolean

Is set if the transaction represents an individual outgoing payment derived from an aggregated transaction.

isEnriched
​isEnriched

A transaction that has additional data enriched. Data is sourced from a provider other than PSD2.

​_linksTransactionDetails

Transaction-specific links:

  • "transactionDetails": further details about the transaction, only available in some banks.
  • "proofOfPayment": link to a downloadable proof of payment document, only available for booked cross-border payments.
​transactionFee[]

Array of transaction fees

cardTransactionList

​cardTransaction[]

Array of transaction details

Card transaction information
cardTransaction
​amount · required
cardTransactionId
​cardTransactionId · maxLength: 35

Unique end to end identity.

terminalId
​terminalId · maxLength: 35

Identification of the Terminal, where the card has been used.

transactionDate
​transactionDate · date

Date of the actual card transaction

bookingDate
​bookingDate · date

The Date when an entry is posted to an account on the ASPSPs books.

​reportExchangeRate[]

Array of exchange rates

​amount
​amount
markupFeePercentage
​string
cardAcceptorId
​string · maxLength: 35
​address
merchantCategoryCode
​merchantCategoryCode · minLength: 4 · maxLength: 4

Merchant category code

maskedPAN
​maskedPan · maxLength: 35

Masked Primary Account Number.

Example: 123456xxxxxx1234
transactionDetails
​string · maxLength: 140
invoiced
​boolean
proprietaryBankTransactionCode
​proprietaryBankTransactionCode · maxLength: 35

Proprietary bank transaction code as used within a community or within an ASPSP e.g. for MT94x based transaction reports.

transactionDetails

Transaction details
​amount · required
transactionId
​string

the Transaction Id can be used as access-ID in the API, where more details on an transaction is offered. If this data attribute is provided this shows that the AIS can get access on more details about this transaction using the GET Transaction Details Request

entryReference
​string · maxLength: 35

Is the identification of the transaction as used e.g. for reference for deltafunction on application level. The same identification as for example used within camt.05x messages.

endToEndId
​string · maxLength: 35

ID for the transaction provided by the initiator, and passed unchanged from debtor to creditor.

mandateId
​string · maxLength: 35

ID of the mandate given by the debtor to the creditor. Relevant for e.g. SEPA Identification of Mandates.

checkId
​string · maxLength: 35

Identification of a Cheque.

creditorId
​string · maxLength: 35

Identification of Creditors, e.g. a SEPA Creditor ID.

bookingDate
​bookingDate · date

The Date when an entry is posted to an account on the ASPSPs books.

valueDate
​string · date

Date at which an entry is posted to an account on the ASPSP's books.

​balanceAfterTransaction

The account balance at the time after the transaction is made. Only available for transactions in booked state.

​reportExchangeRate[]

Array of exchange rates

creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Creditor Name

Example: Creditor Name
​trnsCreditorAccountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN), or
  • Swedish Bankgiro number, or
  • Swedish Plusgiro number.
ultimateCreditor
​ultimateCreditor · maxLength: 70

Ultimate Creditor

Example: Ultimate Creditor
debtorName
​debtorName · maxLength: 70

Debtor Name

Example: Debtor Name
​accountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
ultimateDebtor
​ultimateDebtor · maxLength: 70

Ultimate Debtor

Example: Ultimate Debtor
remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
remittanceInformationStructured
​string · maxLength: 140

Reference as contained in the structured remittance reference structure (without the surrounding XML structure).

Different from other places where the content is in plain form and not in form of a structured field.

remittanceInformationUnstructuredArray
​remittanceInformationUnstructured[]

Array of unstructured remittance information

Example: ["Ref Number Merchant","Some Other Text"]
​remittanceInformationStructuredArray

Array of structured remittance information

additionalInformation
​string · maxLength: 512

Might be used by the ASPSP to transport additional transaction related information to the PSU.

purposeCode
​purposeCode · enum

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD
bankTransactionCode
​bankTransactionCode

Bank transaction code as used by the ASPSP, concatenating the three ISO 20022 Codes (Domain Code, Family Code, SubFamily Code).

Example: PMNT-RCDT-ESCT
proprietaryBankTransactionCode
​proprietaryBankTransactionCode · maxLength: 35

Proprietary bank transaction code as used within a community or within an ASPSP e.g. for MT94x based transaction reports.

transactionListId
​transactionListId

Generated from the transaction details per transaction, meaning that duplicates may occur for identical transactions on the same day with the same account balance at the transaction time. Only available fore transactions in booked state.

paymentId
​transactionPaymentId

Only available for transactions generated via the Open Banking Platform.

Resource identification of the generated payment initiation resource.

aggregateTransactionId
​string

The transaction ID of the aggregated transaction.

aggregateTransactionListId
​string

The transaction list ID of the aggregated transaction.

aggregateId
​integer

Serial number for the Bankgiro deposit.

aggregateAmount
​string

The aggregated amount of all transactions in the deposit.

aggregateRemittanceInformationUnstructured
​string

The unstructured remittance information of the aggregated transaction.

​address
debtorOrganisationId
​string

Organisation number of the debtor.

isAliasPayin
​boolean

Is set if the transaction represents an individual incoming payment derived from an aggregated transaction.

isAliasPayout
​boolean

Is set if the transaction represents an individual outgoing payment derived from an aggregated transaction.

isEnriched
​isEnriched

A transaction that has additional data enriched. Data is sourced from a provider other than PSD2.

​_linksTransactionDetails

Transaction-specific links:

  • "transactionDetails": further details about the transaction, only available in some banks.
  • "proofOfPayment": link to a downloadable proof of payment document, only available for booked cross-border payments.
​transactionFee[]

Array of transaction fees

transactionDetailsWithTppMessages

Transaction details
​amount · required
transactionId
​string

the Transaction Id can be used as access-ID in the API, where more details on an transaction is offered. If this data attribute is provided this shows that the AIS can get access on more details about this transaction using the GET Transaction Details Request

entryReference
​string · maxLength: 35

Is the identification of the transaction as used e.g. for reference for deltafunction on application level. The same identification as for example used within camt.05x messages.

endToEndId
​string · maxLength: 35

Unique end to end identity.

mandateId
​string · maxLength: 35

Identification of Mandates, e.g. a SEPA Mandate ID.

checkId
​string · maxLength: 35

Identification of a Cheque.

creditorId
​string · maxLength: 35

Identification of Creditors, e.g. a SEPA Creditor ID.

bookingDate
​bookingDate · date

The Date when an entry is posted to an account on the ASPSPs books.

valueDate
​string · date

Date at which assets become available to the account owner in case of a credit.

​reportExchangeRate[]

Array of exchange rates

creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Creditor Name

Example: Creditor Name
​trnsCreditorAccountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN), or
  • Swedish Bankgiro number, or
  • Swedish Plusgiro number.
ultimateCreditor
​ultimateCreditor · maxLength: 70

Ultimate Creditor

Example: Ultimate Creditor
debtorName
​debtorName · maxLength: 70

Debtor Name

Example: Debtor Name
​accountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
ultimateDebtor
​ultimateDebtor · maxLength: 70

Ultimate Debtor

Example: Ultimate Debtor
remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
remittanceInformationStructured
​string · maxLength: 140

Reference as contained in the structured remittance reference structure (without the surrounding XML structure).

Different from other places where the content is in plain form and not in form of a structured field.

additionalInformation
​string · maxLength: 512

Might be used by the ASPSP to transport additional transaction related information to the PSU.

purposeCode
​purposeCode · enum

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD
bankTransactionCode
​bankTransactionCode

Bank transaction code as used by the ASPSP, concatenating the three ISO 20022 Codes (Domain Code, Family Code, SubFamily Code).

Example: PMNT-RCDT-ESCT
proprietaryBankTransactionCode
​proprietaryBankTransactionCode · maxLength: 35

Proprietary bank transaction code as used within a community or within an ASPSP e.g. for MT94x based transaction reports.

transactionListId
​transactionListId

Generated from the transaction details per transaction, meaning that duplicates may occur for identical transactions on the same day with the same account balance at the transaction time. Only available fore transactions in booked state.

paymentId
​transactionPaymentId

Only available for transactions generated via the Open Banking Platform.

Resource identification of the generated payment initiation resource.

isEnriched
​isEnriched

A transaction that has additional data enriched. Data is sourced from a provider other than PSD2.

​_linksTransactionDetails

Transaction-specific links:

  • "transactionDetails": further details about the transaction, only available in some banks.
  • "proofOfPayment": link to a downloadable proof of payment document, only available for booked cross-border payments.
​transactionFee[]

Array of transaction fees

​tppMessage2XX[]

cardTransaction

Card transaction information
​amount · required
cardTransactionId
​cardTransactionId · maxLength: 35

Unique end to end identity.

terminalId
​terminalId · maxLength: 35

Identification of the Terminal, where the card has been used.

transactionDate
​transactionDate · date

Date of the actual card transaction

bookingDate
​bookingDate · date

The Date when an entry is posted to an account on the ASPSPs books.

​reportExchangeRate[]

Array of exchange rates

​amount
​amount
markupFeePercentage
​string
cardAcceptorId
​string · maxLength: 35
​address
merchantCategoryCode
​merchantCategoryCode · minLength: 4 · maxLength: 4

Merchant category code

maskedPAN
​maskedPan · maxLength: 35

Masked Primary Account Number.

Example: 123456xxxxxx1234
transactionDetails
​string · maxLength: 140
invoiced
​boolean
proprietaryBankTransactionCode
​proprietaryBankTransactionCode · maxLength: 35

Proprietary bank transaction code as used within a community or within an ASPSP e.g. for MT94x based transaction reports.

reportExchangeRateList

​reportExchangeRate[]

Array of exchange rates

Exchange Rate
reportExchangeRate
sourceCurrency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
exchangeRate
​string · required
unitCurrency
​string · required
targetCurrency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
quotationDate
​string · date · required
contractIdentification
​string

reportExchangeRate

Exchange Rate
sourceCurrency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
exchangeRate
​string · required
unitCurrency
​string · required
targetCurrency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
quotationDate
​string · date · required
contractIdentification
​string

paymentExchangeRate

Exchange Rate
unitCurrency
​string
exchangeRate
​string
contractIdentification
​string
rateType
​string · enum
Enum values:
SPOT
SALE
AGRD

balance

A single balance element
​amount · required
balanceType
​balanceType · enum · required

The type of balance represented. See Statuses & Types documentation for full descriptions of values.

Enum values:
closingBooked
expected
authorised
openingBooked
interimAvailable
interimBooked
forwardAvailable
nonInvoiced
creditLimitIncluded
​boolean

A flag indicating if the credit limit of the corresponding account is included in the calculation of the balance, where applicable.

Example: false
lastChangeDateTime
​string · date-time

Might be used to indicate when the balance was last updated.

referenceDate
​string · date

Reference date of the balance.

lastCommittedTransaction
​string · maxLength: 35

"entryReference" of the last committed transaction.

clearingNumber
​clearingNumber · pattern: [0-9]{1,5}

Bank account clearing number. Used to identify the financial institution within a domestic payment system.

Example: 5392

balanceList

​balance[]

A list of balances for the account. This list might be restricted to the current balance.

A single balance element
balance
​amount · required
balanceType
​balanceType · enum · required

The type of balance represented. See Statuses & Types documentation for full descriptions of values.

Enum values:
closingBooked
expected
authorised
openingBooked
interimAvailable
interimBooked
forwardAvailable
nonInvoiced
creditLimitIncluded
​boolean

A flag indicating if the credit limit of the corresponding account is included in the calculation of the balance, where applicable.

Example: false
lastChangeDateTime
​string · date-time

Might be used to indicate when the balance was last updated.

referenceDate
​string · date

Reference date of the balance.

lastCommittedTransaction
​string · maxLength: 35

"entryReference" of the last committed transaction.

clearingNumber
​clearingNumber · pattern: [0-9]{1,5}

Bank account clearing number. Used to identify the financial institution within a domestic payment system.

Example: 5392

cancellationList

An array of all cancellationIds connected to this resource.
cancellationIds
​cancellationId[] · required

bicfi

string · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX

pan

string · maxLength: 35

Primary Account Number according to ISO/IEC 7812.

Example: 5409050000000000

maskedPan

string · maxLength: 35

Masked Primary Account Number.

Example: 123456xxxxxx1234

ownerName

string · maxLength: 140

Name of the legal account owner. If there is more than one owner, then e.g. two names might be noted here.

For a corporate account, the corporate name is used for this attribute. Even if supported by the ASPSP, the provision of this field might depend on the fact whether an explicit consent to this specific additional account information has been given by the PSU.

Example: John Doe

debitAccounting

boolean

If true, the amounts of debits on the reports are quoted positive with the related consequence for balances. If false, the amount of debits on the reports are quoted negative.

displayName

string · maxLength: 70

Name of the account as defined by the PSU within online channels.

bban

string · pattern: [a-zA-Z0-9]{1,30}

Basic Bank Account Number (BBAN) Identifier. Used nationally by financial institutions, i.e., in individual countries, generally as part of a National Account Numbering Scheme(s), which uniquely identifies the account of a customer.

Example: BARC12345612345678

msisdn

string · maxLength: 35

Mobile phone number.

Example: +49 170 1234567

iban

string · pattern: [A-Z]{2,2}[0-9]{2,2}…

International Bank Account Number (IBAN) of an account.

Example: FR7612345987650123456789014

giroNumber

string · pattern: [0-9-]{5,35}

Swedish Bankgiro or Plusgiro number

Example: 1234-5678

giroType

string · enum
Enum values:
BANKGIRO
PLUSGIRO

Swedish giro type

bankGiroNumber

string · pattern: [0-9-]{5,35}

Swedish Bankgiro number

Example: 1234-5678

plusGiroNumber

string · pattern: [0-9-]{5,35}

Swedish Plusgiro number

Example: 948294-5

address

country
​countryCode · pattern: [A-Z]{2} · required

ISO 3166 ALPHA2 country code

Example: SE
street
​string · maxLength: 70
buildingNumber
​string
city
​string
postalCode
​string

internationalAddress

street
​string · maxLength: 70 · required
city
​string · required
postalCode
​string · required
country
​countryCode · pattern: [A-Z]{2} · required

ISO 3166 ALPHA2 country code

Example: SE
buildingNumber
​string
state
​string

countryCode

string · pattern: [A-Z]{2}

ISO 3166 ALPHA2 country code

Example: SE

creditorNameAndAddress

string · maxLength: 140

Creditor Name and Address in a free text field

Example: Max Masters, Main Street 1, 12345 City, Example Country

amount

currency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
amount
​amountValue · pattern: -?[0-9]{1,14}(\.[0-9… · required

The amount given with fractional digits, where fractions must be compliant to the currency definition. Up to 14 significant figures. Negative amounts are signed by minus. The decimal separator is a dot.

Example: Valid representations for EUR with up to two decimals are:

  • 1056
  • 5768.2
  • -1.50
  • 5877.78
Example: 5877.78

balanceAfterTransaction

The account balance at the time after the transaction is made. Only available for transactions in booked state.
​amount
balanceType
​balanceType · enum

The type of balance represented. See Statuses & Types documentation for full descriptions of values.

Enum values:
closingBooked
expected
authorised
openingBooked
interimAvailable
interimBooked
forwardAvailable
nonInvoiced

creditLimit

Amount of credit extended to account.
currency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
amount
​amountValue · pattern: -?[0-9]{1,14}(\.[0-9… · required

The amount given with fractional digits, where fractions must be compliant to the currency definition. Up to 14 significant figures. Negative amounts are signed by minus. The decimal separator is a dot.

Example: Valid representations for EUR with up to two decimals are:

  • 1056
  • 5768.2
  • -1.50
  • 5877.78
Example: 5877.78

currencyCode

string · pattern: [A-Z]{3}

ISO 4217 Alpha 3 currency code.

Example: EUR

amountValue

string · pattern: -?[0-9]{1,14}(\.[0-9…

The amount given with fractional digits, where fractions must be compliant to the currency definition. Up to 14 significant figures. Negative amounts are signed by minus. The decimal separator is a dot.

Example: Valid representations for EUR with up to two decimals are:

  • 1056
  • 5768.2
  • -1.50
  • 5877.78
Example: 5877.78

chargeBearer

string · enum
Enum values:
DEBT
CRED
SHAR
SLEV

Charge Bearer. ChargeBearerType1Code from ISO20022

remittanceInformationStructured

Structured remittance information
reference
​string · maxLength: 35 · required
referenceType
​string · maxLength: 35
referenceIssuer
​string · maxLength: 35

remittanceInformationStructuredArray

Array of structured remittance information
​referredDocumentInformation
​referredDocumentAmount
​creditorReferenceInformation
additionalRemittanceInformation
​string[]

referredDocumentInformation

typeCode
​string
typeProprietary
​string
typeIssuer
​string
number
​string
relatedDate
​string · date

referredDocumentAmount

​amount
​amount
​amount

creditorReferenceInformation

reference
​object
referenceTypeCode
​string
referenceTypeProprietary
​string

remittanceInformationUnstructured

string · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant

remittanceInformationUnstructuredArray

​remittanceInformationUnstructured[]

Array of unstructured remittance information

Example: ["Ref Number Merchant","Some Other Text"]

debtorAccountMessage

string · maxLength: 140

Message for the debtor

Example: Personal note

purposeCode

string · enum
Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

bankTransactionCode

string

Bank transaction code as used by the ASPSP, concatenating the three ISO 20022 Codes (Domain Code, Family Code, SubFamily Code).

Example: PMNT-RCDT-ESCT

proprietaryBankTransactionCode

string · maxLength: 35

Proprietary bank transaction code as used within a community or within an ASPSP e.g. for MT94x based transaction reports.

transactionListId

string

Generated from the transaction details per transaction, meaning that duplicates may occur for identical transactions on the same day with the same account balance at the transaction time. Only available fore transactions in booked state.

transactionPaymentId

string

Only available for transactions generated via the Open Banking Platform.

Resource identification of the generated payment initiation resource.

isEnriched

boolean

A transaction that has additional data enriched. Data is sourced from a provider other than PSD2.

merchantCategoryCode

string · minLength: 4 · maxLength: 4

Merchant category code

frequencyCode

string · enum
Enum values:
Daily
Weekly
EveryTwoWeeks
Monthly
EveryTwoMonths
Quarterly
SemiAnnual
Annual

The following codes from the "EventFrequency7Code" of ISO 20022 are supported.

  • "Daily"
  • "Weekly"
  • "EveryTwoWeeks"
  • "Monthly"
  • "EveryTwoMonths"
  • "Quarterly"
  • "SemiAnnual"
  • "Annual"

frequencyPerDay

integer · min: 1

The number of times per day the TPP may access the account data without PSU interaction. For one-off access, the attribute is set to "1". If not otherwise agreed bilaterally between the TPP and ASPSP, the frequency is less equal to 4.

Example: 4

dayOfExecution

string · enum · maxLength: 2
Enum values:
1
2
3
4
5
6
7
8

The day of execution as a string. Leading zeroes are not allowed.

executionRule

string · enum
Enum values:
following
preceding

Specifies how to handle recurring payment dates that fall on a weekend or bank holiday. The payment is then executed on either the "preceding" or "following" working day. The ASPSP might reject the request if the selected option is not supported by its online banking rules.

psuData

PSU Data for Update PSU Authentication.
password
​string

Password

encryptedPassword
​string

Encrypted password.

psuMessageText

string · maxLength: 512

Text to be displayed to the PSU

creditorName

string · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Creditor Name

Example: Creditor Name

creditorAgentName

string · maxLength: 35

Creditor Agent Name

Example: Creditor Agent Name

debtorAgentName

string · maxLength: 35

Debtor Agent Name

Example: Debtor Agent Name

debtorName

string · maxLength: 70

Debtor Name

Example: Debtor Name

ultimateDebtor

string · maxLength: 70

Ultimate Debtor

Example: Ultimate Debtor

ultimateDebtorName

string · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Ultimate Debtor Name

Example: Debtor Name

debtorId

string · maxLength: 35

Debtor Id

Example: Debtor Id 1234

ultimateCreditor

string · maxLength: 70

Ultimate Creditor

Example: Ultimate Creditor

ultimateCreditorName

string · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Ultimate Creditor Name

Example: Creditor Name

transactionDate

string · date

Date of the actual card transaction

startDate

string · date

The first applicable day of execution starting from this date is the first payment.

endDate

string · date

The last applicable day of execution If not given, it is an infinite standing order.

bookingDate

string · date

The Date when an entry is posted to an account on the ASPSPs books.

validUntil

string · date

The date until which the requested consent should be valid for. The content is the local ASPSP date in ISO Date Format, e.g. 2025-10-30. This parameter is requesting a valid until date for the requested consent.

Example: 2020-12-31

lastActionDate

string · date

This date is containing the date of the last action on the consent object either through the XS2A interface or the PSU/ASPSP interface having an impact on the status.

Example: 2018-07-01

isoPaymentInitiation_json

Request Body for a domestic payment initiation via JSON.
​amount · required
​accountReferenceWithGiro · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or,
  • Bankgiro/Plusgiro for corporate Swedish accounts, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
​address
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35

Creditor Agent Name

Example: Creditor Agent Name
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
debtorAccountMessage
​debtorAccountMessage · maxLength: 140

Message for the debtor

Example: Personal note
​object[] · minItems: 1

List of credit notes to be offset against the payment.

purposeCode
​purposeCode · enum

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD

paymentInitiation_json

Request Body for a domestic payment initiation via JSON.
​amount · required
​accountReferenceWithGiro · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or,
  • Bankgiro/Plusgiro for corporate Swedish accounts, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
​address
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35

Creditor Agent Name

Example: Creditor Agent Name
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
debtorAccountMessage
​debtorAccountMessage · maxLength: 140

Message for the debtor

Example: Personal note
endToEndIdentification
​string · maxLength: 35

paymentInitiationCrossBorder_json

Request Body for a cross-border payment initiation via JSON.
​amount · required
​accountReferenceWithGiro · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or,
  • Bankgiro/Plusgiro for corporate Swedish accounts, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
​internationalAddress · required
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35 · required

Creditor Agent Name

Example: Creditor Agent Name
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
debtorAccountMessage
​debtorAccountMessage · maxLength: 140

Message for the debtor

Example: Personal note
endToEndIdentification
​string · maxLength: 35
purposeCode
​purposeCode · enum

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD
​object[]

Additional regulatory reporting information, if applicable.

isoPaymentInitiationCrossBorder_json

Request Body for a cross-border payment initiation via JSON.
​amount · required
​accountReferenceWithGiro · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or,
  • Bankgiro/Plusgiro for corporate Swedish accounts, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
​internationalAddress · required
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35 · required

Creditor Agent Name

Example: Creditor Agent Name
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
debtorAccountMessage
​debtorAccountMessage · maxLength: 140

Message for the debtor

Example: Personal note
purposeCode
​purposeCode · enum

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD
​object[] · minItems: 1

List of credit notes to be offset against the payment.

​object[]

Additional regulatory reporting information, if applicable.

paymentInitiationSepaDirectDebit_json

JSON body for initiating a SEPA Direct Debit.
requestedExecutionDate
​string · date · required

Date when payment is scheduled to be collected in ISO-Date Format, e.g. 2020-10-30.

creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
​address · required
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorId
​string · pattern: ^[A-Z]{2}\d{2}[A-Z0-… · required

A unique identifier assigned to the creditor authorising them to initiate SEPA Direct Debit collections.

Example: NL93ZZZ123456780001
localInstrumentCode
​string · enum · required

Local instrument code. See Statuses & Types documentation for full descriptions of values.

Enum values:
CORE
B2B
sequenceType
​directDebitSequenceType · enum · required

Sequence type for SEPA Direct Debit collections. See Statuses & Types documentation for full descriptions of values.

Enum values:
OOFF
FRST
RCUR
FNAL
​amount · required
​directDebitMandateRelatedInformation · required

Mandate information that authorises the SEPA Direct Debit.

debtorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

BICFI

Example: AAAADEBBXXX
debtorName
​debtorName · maxLength: 70 · required

Debtor Name

Example: Debtor Name
​address · required
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
instructionId
​string · maxLength: 35

Instruction Id – identification for end-to-end processing.

creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35

Creditor Agent Name

Example: Creditor Agent Name
chargeBearer
​chargeBearer · enum

Charge Bearer. ChargeBearerType1Code from ISO20022

Enum values:
DEBT
CRED
SHAR
SLEV
ultimateCreditorName
​ultimateCreditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Ultimate Creditor Name

Example: Creditor Name
​address
debtorAgentName
​debtorAgentName · maxLength: 35

Debtor Agent Name

Example: Debtor Agent Name
ultimateDebtorName
​ultimateDebtorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Ultimate Debtor Name

Example: Debtor Name
​address
purposeCode
​purposeCode · enum

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD
remittanceInformationUnstructuredArray
​remittanceInformationUnstructured[]

Array of unstructured remittance information

Example: ["Ref Number Merchant","Some Other Text"]
​directDebitStructuredRemittanceInformation[]

Array of structured remittance information elements.

​directDebitRegulatoryReportingData[] · maxItems: 10

Up to 10 regulatory reporting items.

directDebitSequenceType

string · enum
Enum values:
OOFF
FRST
RCUR
FNAL

Sequence type for SEPA Direct Debit collections. See Statuses & Types documentation for full descriptions of values.

directDebitMandateRelatedInformation

Mandate information that authorises the SEPA Direct Debit.
mandateId
​string · maxLength: 35 · required

Mandate Id.

dateOfSignature
​string · date · required

Date of signature.

party

Party with name and postal address.
name
​string · maxLength: 70 · required
​address

directDebitReferenceTypeCode

string · enum
Enum values:
SCOR

Reference type for structured remittance.

directDebitStructuredRemittanceInformation

Structured remittance information for SEPA Direct Debit
reference
​string · maxLength: 35 · required
referenceType
​directDebitReferenceTypeCode · enum

Reference type for structured remittance.

Enum values:
SCOR
​amount

directDebitStructuredRemittanceInformationArray

​directDebitStructuredRemittanceInformation[]

Array of structured remittance information elements.

Structured remittance information for SEPA Direct Debit
directDebitStructuredRemittanceInformation
reference
​string · maxLength: 35 · required
referenceType
​directDebitReferenceTypeCode · enum

Reference type for structured remittance.

Enum values:
SCOR
​amount

directDebitRegulatoryReportingData

Additional regulatory reporting information, if applicable.
detailsCode
​string · maxLength: 35
detailsInformation
​string · maxLength: 140

directDebitRegulatoryReportingArray

​directDebitRegulatoryReportingData[] · maxItems: 10

Up to 10 regulatory reporting items.

Additional regulatory reporting information, if applicable.
directDebitRegulatoryReportingData
detailsCode
​string · maxLength: 35
detailsInformation
​string · maxLength: 140

paymentInitiationSct_json

Request Body for a SEPA Credit Transfer payment initiation via JSON.
​amount · required
​accountReferenceWithGiro · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or,
  • Bankgiro/Plusgiro for corporate Swedish accounts, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35 · required

Creditor Agent Name

Example: Creditor Agent Name
​address
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
invoiceRef
​sepaInvoiceReference · minLength: 1 · maxLength: 35

Custom invoice reference

Example: 86851625960015
ocrRef
​sepaOcrReference · minLength: 5 · maxLength: 25 · pattern: RF[0-9]{2}[A-Z0-9]+$

RF creditor reference.

Example: RF18539007547034
debtorAccountMessage
​debtorAccountMessage · maxLength: 140

Message for the debtor

Example: Personal note
endToEndIdentification
​string · maxLength: 35

regulatoryReporting

​object[]

Additional regulatory reporting information, if applicable.

detailsCode
​string · maxLength: 35
detailsInformation
​string · maxLength: 140

isoPaymentInitiationSct_json

Request Body for a SEPA Credit Transfer payment initiation via JSON.
​amount · required
​accountReferenceWithGiro · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or,
  • Bankgiro/Plusgiro for corporate Swedish accounts, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​accountReference · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

BICFI

Example: AAAADEBBXXX
​address
creditorAgentName
​creditorAgentName · maxLength: 35

Creditor Agent Name

Example: Creditor Agent Name
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
debtorAccountMessage
​debtorAccountMessage · maxLength: 140

Message for the debtor

Example: Personal note
​object[] · minItems: 1

List of credit notes to be offset against the payment.

paymentInitiationSwedishGiro_json

Request Body for a Swedish Bankgiro/Plusgiro payment initiation via JSON.
​amount · required
​accountReferenceWithGiro · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or,
  • Bankgiro/Plusgiro for corporate Swedish accounts, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​giroReference · required

Reference to a Swedish Bankgiro or Plusgiro account

creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
​address
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35

Creditor Agent Name

Example: Creditor Agent Name
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

invoiceRef
​giroInvoiceReference · minLength: 1 · maxLength: 25

Custom invoice reference

Example: INV-20250073
ocrRef
​giroOcrReference · minLength: 2 · maxLength: 25 · pattern: ^[0-9]+$

Swedish OCR reference.

Example: 45678901234567
debtorAccountMessage
​string · maxLength: 140
creditorAccountMessage
​string · maxLength: 140
endToEndIdentification
​string · maxLength: 35

isoPaymentInitiationSwedishGiro_json

Request Body for a Swedish Bankgiro/Plusgiro payment initiation via JSON.
​amount · required
​accountReferenceWithGiro · required

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or,
  • Bankgiro/Plusgiro for corporate Swedish accounts, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​giroReference · required

Reference to a Swedish Bankgiro or Plusgiro account

creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$ · required

Creditor Name

Example: Creditor Name
​address
creditorAgent
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
creditorAgentName
​creditorAgentName · maxLength: 35

Creditor Agent Name

Example: Creditor Agent Name
requestedExecutionDate
​string

Date when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30

invoiceRef
​giroInvoiceReference · minLength: 1 · maxLength: 25

Custom invoice reference

Example: INV-20250073
ocrRef
​giroOcrReference · minLength: 2 · maxLength: 25 · pattern: ^[0-9]+$

Swedish OCR reference.

Example: 45678901234567
debtorAccountMessage
​string · maxLength: 140
creditorAccountMessage
​string · maxLength: 140
​object[] · minItems: 1

List of credit notes to be offset against the payment.

creditNotes

[...]
